Subject: bug#69479: 30.0.50; Attaching files to gnus fails

From: Michael Heerdegen <[email-masked]>
Date: Sat, 02 Mar 2024 02:34:48 +0100

> (from Mr. Mendler:)
> "While I insist that it is a mistake to set
> minibuffer-allow-text-properties globally, I still wonder why Gnus
> uses propertized candidates in the first place, in particular with a
> useless fontified=nil property.

I don't think this is the case.  I don't see Gnus using propertized
candidates.  I guess those properties are attached by something else
you (i.e. Alexander) are using.

With other words: one of your used addons attaches text properties to
the input, and you force Emacs to keep them for the return value (of the
completion function).

If this is all the case, this would be a quite extraordinary setup
crying for problems; you should try to fix this then on your side.

It could also be fixed in Gnus, but: I don't think Gnus is the only thing
that your setup breaks - so it's just easier to avoid the trouble.

Michael.